Bug 1129571 - [python-nitrate] Run python-nitrate test suite, there is a 500 error: global name 'is_active' is not defined.
Summary: [python-nitrate] Run python-nitrate test suite, there is a 500 error: global ...
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: XMLRPC
Version: Devel
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Yang Ren
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 08:48 UTC by yangqiu
Modified: 2018-07-04 21:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description yangqiu 2014-08-13 08:48:11 UTC
Description of problem:
as summary.

Version-Release number of selected component (if applicable):
v3.8.10-1 on devel server.

How reproducible:
100%

Steps to Reproduce:
1. Run python-nitrate test suite on devel server. 

Actual results:
There is a 500 error:
Fault: <Fault 500: ["global name 'is_active' is not defined"]>

Expected results:
There is no error.

Additional info:
https://jenkins.app.qa.eng.nay.redhat.com/jenkins/view/TCMS/job/XMLRPC%20python-nitrate%20test%20suite/21/console

ERROR: Test read/write access to the test plan status
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/nitrate/tests.py", line 818, in test_plan_status
    testplan.update()
  File "/usr/lib/python2.6/site-packages/nitrate/mutable.py", line 357, in update
    Mutable.update(self)
  File "/usr/lib/python2.6/site-packages/nitrate/mutable.py", line 63, in update
    self._update()
  File "/usr/lib/python2.6/site-packages/nitrate/mutable.py", line 337, in _update
    self._multicall.TestPlan.update(self.id, hash)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib/python2.6/site-packages/nitrate/xmlrpc.py", line 129, in request_with_cookies
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
Fault: <Fault 500: ["global name 'is_active' is not defined"]>

Comment 1 yangqiu 2014-08-18 10:45:35 UTC
verify this issue on v3.8.10-1 on devel.--->Pass
verify steps are same as description.


Note You need to log in before you can comment on or make changes to this bug.